org.eclipse.cdt.core.dom.ast

## Interface IASTTokenList

All Superinterfaces:
  IASTNode, IASTToken

    public interface IASTTokenList
    extends IASTToken

Represents a sequence of code tokens.

Since:
  5.4

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `NESTED_TOKEN` `NESTED_TOKEN` describes the relationship between `IASTTokenList` and the nested `IASTToken`s.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTToken

`EMPTY_TOKEN_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addToken(IASTToken token)` Adds a nested token.
`IASTTokenList` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTTokenList` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`char[]` `getTokenCharImage()` If the list contains a single token, returns its text.
`IASTToken[]` `getTokens()` Returns nested tokens.
`int` `getTokenType()` If the list contains a single token, returns its type.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### NESTED_TOKEN

    static final ASTNodeProperty NESTED_TOKEN

`NESTED_TOKEN` describes the relationship between `IASTTokenList` and the nested `IASTToken`s.

### Method Detail

#### getTokens

    IASTToken[] getTokens()

Returns nested tokens.

#### addToken

    void addToken(IASTToken token)

Adds a nested token.

Parameters:
  `token` - a token to be added to the list

#### getTokenType

    int getTokenType()

If the list contains a single token, returns its type. Otherwise returns 0.

Specified by:
  `getTokenType` in interface `IASTToken`
See Also:
  `IToken.getType()`

#### getTokenCharImage

    char[] getTokenCharImage()

If the list contains a single token, returns its text. Otherwise returns `null`.

Specified by:
  `getTokenCharImage` in interface `IASTToken`
See Also:
  `IToken.getCharImage()`

#### copy

    IASTTokenList copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTToken`

#### copy

    IASTTokenList copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTToken`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.